Bug 947587 - Review Request: mingw-gstreamer1-plugins-base - MinGW build of GStreamer base plugins
Summary: Review Request: mingw-gstreamer1-plugins-base - MinGW build of GStreamer base...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-02 19:25 UTC by Paweł Forysiuk
Modified: 2013-04-20 20:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-20 20:14:55 UTC
Type: ---
kalevlember: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Paweł Forysiuk 2013-04-02 19:25:00 UTC
Spec URL: https://dl.dropbox.com/u/2448780/mingw-gstreamer1-plugins-base.spec
SRPM URL: https://dl.dropbox.com/u/2448780/mingw-gstreamer1-plugins-base-1.0.6-1.fc18.src.rpm
Description: Cross compiled GStreamer1 media framework base plug-ins
Fedora Account System Username: pfor

Comment 1 Kalev Lember 2013-04-02 19:49:19 UTC
Taking for review.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5200374

Comment 2 Kalev Lember 2013-04-02 20:01:04 UTC
#BuildRequires:  mingw32-libtheora >= 1.0
#BuildRequires:  mingw32-orc >= 0.4.11
#BuildRequires:  mingw32-libvisual

Of these, I see that mingw32-orc / mingw64-orc are already in Fedora. Can it be enabled?


Also, looks like the scratch build has failed with:
File not found: /builddir/build/BUILDROOT/mingw-gstreamer1-plugins-base-1.0.6-1.fc20.noarch/usr/i686-w64-mingw32/sys-root/mingw/lib/gstreamer-1.0/libgstsubparse.dll


> %mingw_find_lang gst-plugins-base-%{api_version} --all-name

The --all-name switch shouldn't be necessary here, all the translations are installed under the same name.

Comment 4 Kalev Lember 2013-04-02 20:54:41 UTC
Fedora review of mingw-gstreamer1-plugins-base-1.0.6-1.fc18.src.rpm 2013-04-02

+ OK
! needs attention

rpmlint output:

$ rpmlint mingw-gstreamer1-plugins-base-1.0.6-1.fc19.src.rpm \
          mingw32-gstreamer1-plugins-base-1.0.6-1.fc19.noarch.rpm \
          mingw64-gstreamer1-plugins-base-1.0.6-1.fc19.noarch.rpm \
          mingw32-gstreamer1-plugins-base-debuginfo-1.0.6-1.fc19.noarch.rpm \
          mingw64-gstreamer1-plugins-base-debuginfo-1.0.6-1.fc19.noarch.rpm

mingw-gstreamer1-plugins-base.src: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Steamer
mingw32-gstreamer1-plugins-base.noarch: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Steamer
mingw32-gstreamer1-plugins-base.noarch: E: incorrect-fsf-address /usr/share/doc/mingw32-gstreamer1-plugins-base-1.0.6/COPYING
mingw64-gstreamer1-plugins-base.noarch: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Steamer
mingw64-gstreamer1-plugins-base.noarch: E: incorrect-fsf-address /usr/share/doc/mingw64-gstreamer1-plugins-base-1.0.6/COPYING
mingw32-gstreamer1-plugins-base-debuginfo.noarch: E: description-line-too-long C This package provides debug information for package mingw32-gstreamer1-plugins-base.
mingw32-gstreamer1-plugins-base-debuginfo.noarch: E: debuginfo-without-sources
mingw64-gstreamer1-plugins-base-debuginfo.noarch: E: description-line-too-long C This package provides debug information for package mingw64-gstreamer1-plugins-base.
mingw64-gstreamer1-plugins-base-debuginfo.noarch: E: debuginfo-without-sources
5 packages and 0 specfiles checked; 6 errors, 3 warnings.

+ The rpmlint warnings/errors are harmless and can be ignored
+ The package is named according to Fedora MinGW packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The stated license is the same as the one for the corresponding
  native Fedora package
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  7123a7f9955bbf1a5a7bb75192c15427  gst-plugins-base-1.0.6.tar.xz
  7123a7f9955bbf1a5a7bb75192c15427  Download/gst-plugins-base-1.0.6.tar.xz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
+ locale handling
n/a ldconfig in %post and %postun
+ Package doesn't bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
Not applicable to MinGW packages.
n/a Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
+ Packages must not contain libtool .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Directory ownership sane
+ Filenames are valid UTF-8

Looks good!

APPROVED

Comment 5 Paweł Forysiuk 2013-04-02 20:59:54 UTC
New Package SCM Request
=======================
Package Name: mingw-gstreamer1-plugins-base
Short Description: Cross compiled GStreamer1 media framework base plug-ins
Owners: pfor
Branches: f18 f19

Comment 6 Gwyn Ciesla 2013-04-03 11:54:53 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-04-03 14:39:53 UTC
mingw-gstreamer1-plugins-base-1.0.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-gstreamer1-plugins-base-1.0.6-1.fc19

Comment 8 Fedora Update System 2013-04-03 16:16:09 UTC
mingw-gstreamer1-plugins-base-1.0.6-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 9 Fedora Update System 2013-04-20 20:14:57 UTC
mingw-gstreamer1-plugins-base-1.0.6-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.